Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class SignedReferences

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.SignedReferences

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:10+01:00",
               comments="JAXB RI v2.3.6")
    public class SignedReferences

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignedReference" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SignedReferences()`

Method Summary
`List<SignedReference>` | `getSignedReferences()` Gets the value of the signedReferences property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedReferences

    public SignedReferences()

Method Detail

### getSignedReferences

    public List<SignedReference> getSignedReferences()

  Gets the value of the signedReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the signedReferences property.

  For example, to add a new item, do as follows:

          getSignedReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `SignedReference`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.